View Issue Details

IDProjectCategoryView StatusLast Update
0008934mantisbtbugtrackerpublic2017-04-19 17:28
ReportervchesnokovAssigned Tovboctor 
PrioritynormalSeveritytextReproducibilityalways
Status closedResolutionfixed 
Product Version1.1.1 
Target VersionFixed in Version 
Summary0008934: BugTracker on HTTPS - URL errors at mail notifications
Description

I installed Mantis BugTracker in ssl zone (HTTPS) of my hoster.
Some images not viewed, because it have invalid URL in <img> (http, not HTTPS).
And mail notifications from Mantis have invalid URL's ("http" URL, not HTTPS).

TagsNo tags attached.

Activities

vchesnokov

vchesnokov

2008-03-03 05:01

reporter   ~0017243

For example, in view_all_bug_page.php HTML code:
<img border="0" width="16" height="16" src="http://mydomain.ru/images/update.png"; ...

And really need source:
<img border="0" width="16" height="16" src="httpS://mydomain.ru/images/update.png";

vchesnokov

vchesnokov

2008-03-03 05:08

reporter   ~0017244

In view_all_bug_page.php HTML code:
<img src="http://mydomain.ru/images/priority_1.gif"; alt=""

"src" must be "httpS://mydomain.ru/images/priority_1.gif";

vchesnokov

vchesnokov

2008-03-03 05:10

reporter   ~0017246

<link rel="stylesheet" type="text/css" href="http://my.fl34.ru/css/default.css"; />

vchesnokov

vchesnokov

2008-03-03 05:11

reporter   ~0017247

<a href="http://mydomain.ru/issues_rss.php?username=admin&key=94167dcghrhrch53537&project_id=1";>

ahalligan

ahalligan

2008-04-08 18:17

reporter   ~0017577

When I run mantis from behind a public proxy and forward https -> http, I experience a similar problem to what you are observing. For me this is related to issue# 0006134. I want to be able to have users access mantis securely from a public address https://mantis.mydomain.com and developers access mantis on the internal network at http://localserver/

To get things to work properly I simply tweaked the config_defaults_inc.php with the following:

$t_protocol = 'http';
if ( isset( $_SERVER['HTTP_X_FORWARDED_PROTO'] ) ) { // Support ProxyPass
$t_protocol= $_SERVER['HTTP_X_FORWARDED_PROTO'];
} else if ( isset( $_SERVER['HTTPS'] ) && ( strtolower( $_SERVER['HTTPS'] ) != 'off' ) ) {
$t_protocol = 'https';
}

This has the system working in both scenarios. Would be great if this tweak could make its way into the next release.

vboctor

vboctor

2017-04-06 23:57

manager   ~0056427

This has been fixed for a long time.

Issue History

Date Modified Username Field Change
2008-03-03 03:59 vchesnokov New Issue
2008-03-03 05:01 vchesnokov Note Added: 0017243
2008-03-03 05:08 vchesnokov Note Added: 0017244
2008-03-03 05:10 vchesnokov Note Added: 0017246
2008-03-03 05:11 vchesnokov Note Added: 0017247
2008-04-08 18:17 ahalligan Note Added: 0017577
2017-04-06 23:57 vboctor Assigned To => vboctor
2017-04-06 23:57 vboctor Status new => resolved
2017-04-06 23:57 vboctor Resolution open => fixed
2017-04-06 23:57 vboctor Note Added: 0056427
2017-04-19 17:28 atrol Status resolved => closed